Package org.jbpm.process.audit.event

## Interface AuditEventBuilder

- All Known Implementing Classes:
    `DefaultAuditEventBuilderImpl`, `ManagedAuditEventBuilderImpl`, `ServicesAwareAuditEventBuilder`

      public interface AuditEventBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `AuditEvent` | `buildEvent​(org.kie.api.event.process.ProcessAsyncNodeScheduledEvent pnle)` |
    `AuditEvent` | `buildEvent​(org.kie.api.event.process.ProcessCompletedEvent pce, Object log)` |
    `AuditEvent` | `buildEvent​(org.kie.api.event.process.ProcessDataChangedEvent pdce)` |
    `AuditEvent` | `buildEvent​(org.kie.api.event.process.ProcessNodeLeftEvent pnle, Object log)` |
    `AuditEvent` | `buildEvent​(org.kie.api.event.process.ProcessNodeTriggeredEvent pnte)` |
    `AuditEvent` | `buildEvent​(org.kie.api.event.process.ProcessNodeTriggeredEvent pnte, Object log)` |
    `AuditEvent` | `buildEvent​(org.kie.api.event.process.ProcessStartedEvent pse)` |
    `AuditEvent` | `buildEvent​(org.kie.api.event.process.ProcessVariableChangedEvent pvce)` |

- - ### Method Detail

    - #### buildEvent

          AuditEvent buildEvent​(org.kie.api.event.process.ProcessStartedEvent pse)

    - #### buildEvent

          AuditEvent buildEvent​(org.kie.api.event.process.ProcessCompletedEvent pce,
                                Object log)

    - #### buildEvent

          AuditEvent buildEvent​(org.kie.api.event.process.ProcessNodeTriggeredEvent pnte)

    - #### buildEvent

          AuditEvent buildEvent​(org.kie.api.event.process.ProcessNodeTriggeredEvent pnte,
                                Object log)

    - #### buildEvent

          AuditEvent buildEvent​(org.kie.api.event.process.ProcessNodeLeftEvent pnle,
                                Object log)

    - #### buildEvent

          AuditEvent buildEvent​(org.kie.api.event.process.ProcessAsyncNodeScheduledEvent pnle)

    - #### buildEvent

          AuditEvent buildEvent​(org.kie.api.event.process.ProcessVariableChangedEvent pvce)

    - #### buildEvent

          AuditEvent buildEvent​(org.kie.api.event.process.ProcessDataChangedEvent pdce)